## EMailSignatureScriptDialog

EMailSignatureScriptDialog

## Functions

GtkWidget * | e_mail_signature_script_dialog_new ()
ESourceRegistry * | e_mail_signature_script_dialog_get_registry ()
ESource * | e_mail_signature_script_dialog_get_source ()
const gchar * | e_mail_signature_script_dialog_get_symlink_target ()
void | e_mail_signature_script_dialog_set_symlink_target ()
void | e_mail_signature_script_dialog_commit ()
gboolean | e_mail_signature_script_dialog_commit_finish ()

## Types and Values

struct | EMailSignatureScriptDialog

## Description

## Functions

### e_mail_signature_script_dialog_new ()

    GtkWidget *
    e_mail_signature_script_dialog_new (ESourceRegistry *registry,
                                        GtkWindow *parent,
                                        ESource *source);

### e_mail_signature_script_dialog_get_registry ()

    ESourceRegistry *
    e_mail_signature_script_dialog_get_registry
                                   (EMailSignatureScriptDialog *dialog);

### e_mail_signature_script_dialog_get_source ()

    ESource *
    e_mail_signature_script_dialog_get_source
                                   (EMailSignatureScriptDialog *dialog);

### e_mail_signature_script_dialog_get_symlink_target ()

    const gchar *
    e_mail_signature_script_dialog_get_symlink_target
                                   (EMailSignatureScriptDialog *dialog);

### e_mail_signature_script_dialog_set_symlink_target ()

    void
    e_mail_signature_script_dialog_set_symlink_target
                                   (EMailSignatureScriptDialog *dialog,
                                    const gchar *symlink_target);

### e_mail_signature_script_dialog_commit ()

    void
    e_mail_signature_script_dialog_commit (EMailSignatureScriptDialog *dialog,
                                           GCancellable *cancellable,
                                           GAsyncReadyCallback callback,
                                           gpointer user_data);

### e_mail_signature_script_dialog_commit_finish ()

    gboolean
    e_mail_signature_script_dialog_commit_finish
                                   (EMailSignatureScriptDialog *dialog,
                                    GAsyncResult *result,
                                    GError **error);

## Types and Values

### struct EMailSignatureScriptDialog

    struct EMailSignatureScriptDialog {
    	GtkDialog parent;
    	EMailSignatureScriptDialogPrivate *priv;
    };